<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.ElevatorAlarmSettingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="elevatorAlarmSettingResultMap" type="org.springblade.device.entity.ElevatorAlarmSetting">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="alarm_type" property="alarmType"/>
        <result column="alarm_name" property="alarmName"/>
        <result column="is_notice" property="isNotice"/>
        <result column="is_generate_job" property="isGenerateJob"/>
        <result column="level" property="level"/>
        <result column="residential_id" property="residentialId"/>
        <result column="residential_name" property="residentialName"/>
        <result column="web_hook_url" property="webHookUrl"/>
    </resultMap>


    <select id="selectElevatorAlarmSettingPage" resultMap="elevatorAlarmSettingResultMap">
        select * from smart_elevator_alarm_setting where is_deleted = 0
    </select>

</mapper>
